Author: Patrick Franz <deltaone@debian.org>
Description: Remove dependencies on catapult from src/3rdparty
Forwarded: not-needed

Index: qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/BUILD.gn
===================================================================
--- qtwebengine-everywhere-src-6.5.0.orig/src/3rdparty/chromium/BUILD.gn
+++ qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/BUILD.gn
@@ -235,7 +235,6 @@ if (!is_qtwebengine){
     deps += [
       "//google_apis/gcm:mcs_probe",
       "//media/cast:cast_unittests",
-      "//third_party/catapult/telemetry:bitmaptools($host_toolchain)",
     ]
     if (!is_android) {
       if (!is_castos) {
@@ -370,7 +369,6 @@ if (!is_qtwebengine){
       "//services:services_junit_tests",
       "//testing/android/junit:junit_unit_tests",
       "//third_party/android_build_tools/lint:custom_lint_java",
-      "//third_party/catapult/devil",
       "//third_party/r8:custom_d8_java",
       "//tools/android:android_tools",
       "//tools/android:memconsumer",
@@ -1149,7 +1147,6 @@ if (!is_ios && !is_qtwebengine) {
         "//chrome:chrome",
         "//chrome/test/chromedriver",
         "//testing:test_scripts_shared",
-        "//third_party/catapult/third_party/typ",
       ]
       if (is_win) {
         data_deps += [ "//build/win:copy_cdb_to_output" ]
@@ -1198,7 +1195,6 @@ if (!is_ios && !is_qtwebengine) {
       "//third_party/blink/public:blink_devtools_inspector_resources",
       "//third_party/blink/public/mojom:mojom_platform_js_data_deps",
       "//third_party/blink/renderer/core:js_files_for_form_controls_web_tests",
-      "//third_party/catapult/third_party/typ",
       "//third_party/hyphenation-patterns:test_data",
       "//third_party/mesa_headers",
       "//tools/imagediff",
@@ -1274,7 +1270,6 @@ if (!is_ios && !is_qtwebengine) {
 
     if (is_android) {
       data += [
-        "//third_party/catapult/",
         "//build/android/",
       ]
     }
@@ -1627,10 +1622,6 @@ if (!is_ios && !is_qtwebengine) {
       "//third_party/blink/web_tests/StaleTestExpectations",
       "//third_party/blink/web_tests/TestExpectations",
       "//third_party/blink/web_tests/VirtualTestSuites",
-      "//third_party/catapult/common/py_utils/",
-      "//third_party/catapult/devil/",
-      "//third_party/catapult/dependency_manager/",
-      "//third_party/catapult/third_party/typ/",
       "//third_party/depot_tools/pylint-1.5",
       "//third_party/depot_tools/pylint_main.py",
       "//third_party/depot_tools/pylintrc",
Index: qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/chrome/chrome_paks.gni
===================================================================
--- qtwebengine-everywhere-src-6.5.0.orig/src/3rdparty/chromium/chrome/chrome_paks.gni
+++ qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/chrome/chrome_paks.gni
@@ -171,7 +171,6 @@ template("chrome_extra_paks") {
         "$root_gen_dir/chrome/webui_gallery_resources.pak",
         "$root_gen_dir/chrome/whats_new_resources.pak",
         "$root_gen_dir/content/browser/devtools/devtools_resources.pak",
-        "$root_gen_dir/content/browser/tracing/tracing_resources.pak",
       ]
       deps += [
         "//chrome/browser/resources:component_extension_resources",
@@ -205,7 +204,6 @@ template("chrome_extra_paks") {
         "//chrome/browser/resources/webui_gallery:resources",
         "//chrome/browser/resources/whats_new:resources",
         "//content/browser/devtools:devtools_resources",
-        "//content/browser/tracing:resources",
       ]
       if (is_chrome_branded) {
         sources += [
Index: qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/chrome/test/BUILD.gn
===================================================================
--- qtwebengine-everywhere-src-6.5.0.orig/src/3rdparty/chromium/chrome/test/BUILD.gn
+++ qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/chrome/test/BUILD.gn
@@ -10631,8 +10631,6 @@ if (!is_android && !is_fuchsia) {
       "//chrome/test/data/password/captured_sites/",
       "//chrome/test/data/web_page_replay_go_helper_scripts/automation_helper.js",
       "//components/test/data/autofill/web_page_replay_support_files/",
-      "//third_party/catapult/telemetry/telemetry/bin/",
-      "//third_party/catapult/web_page_replay_go/deterministic.js",
     ]
 
     if (is_linux || is_chromeos || is_win) {
@@ -10733,8 +10731,6 @@ if (!is_android) {
         "//chrome/test/data/enterprise/connectors/file_system/captures/",
         "//chrome/test/data/enterprise/connectors/file_system/downloads/",
         "//chrome/test/data/web_page_replay_go_helper_scripts/automation_helper.js",
-        "//third_party/catapult/telemetry/telemetry/bin/",
-        "//third_party/catapult/web_page_replay_go/deterministic.js",
       ]
 
       if (is_fuchsia) {
@@ -10792,7 +10788,6 @@ if (!is_android) {
         "//skia",
         "//testing/gmock",
         "//testing/gtest",
-        "//third_party/catapult:telemetry_chrome_test_support",
         "//third_party/hunspell",
         "//third_party/icu",
         "//third_party/libpng",
@@ -10843,7 +10838,6 @@ if (!is_android) {
     deps = [ "//tools/perf/chrome_telemetry_build:telemetry_chrome_test" ]
 
     data = [
-      "//third_party/catapult/telemetry/telemetry/internal/bin/",
       "//tools/perf/run_telemetry_tests",
       "//testing/scripts/run_telemetry_as_googletest.py",
     ]
Index: qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/content/browser/BUILD.gn
===================================================================
--- qtwebengine-everywhere-src-6.5.0.orig/src/3rdparty/chromium/content/browser/BUILD.gn
+++ qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/content/browser/BUILD.gn
@@ -2623,7 +2623,6 @@ jumbo_source_set("browser") {
   if (!is_android) {
     deps += [
       "//components/vector_icons",
-      "//content/browser/tracing:resources",
     ]
     sources += [
       # Non-Android platforms that don't presently support
Index: qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/content/browser/tracing/BUILD.gn
===================================================================
--- qtwebengine-everywhere-src-6.5.0.orig/src/3rdparty/chromium/content/browser/tracing/BUILD.gn
+++ qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/content/browser/tracing/BUILD.gn
@@ -1,39 +0,0 @@
-# Copyright 2014 The Chromium Authors
-# Use of this source code is governed by a BSD-style license that can be
-# found in the LICENSE file.
-
-import("//tools/grit/grit_rule.gni")
-import("//ui/webui/resources/tools/generate_grd.gni")
-
-assert(!is_android)
-
-# The script just writes filename with no dirs to the .grd, so we always need
-# this file to be in the same directory as the inputs.
-tracing_grd = "$target_gen_dir/tracing_resources.grd"
-
-generate_grd("build_grd") {
-  grd_prefix = "tracing"
-  out_grd = tracing_grd
-  input_files = [
-    "about_tracing.html",
-    "about_tracing.js",
-  ]
-  input_files_base_dir = rebase_path(target_gen_dir, root_build_dir)
-  deps = [ "//third_party/catapult/tracing:generate_about_tracing" ]
-}
-
-grit("resources") {
-  source = tracing_grd
-
-  # Required because the .grd is generated.
-  enable_input_discovery_for_gn_analyze = false
-
-  outputs = [
-    "grit/tracing_resources.h",
-    "grit/tracing_resources_map.cc",
-    "grit/tracing_resources_map.h",
-    "tracing_resources.pak",
-  ]
-
-  deps = [ ":build_grd" ]
-}
Index: qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/content/browser/tracing/tracing_ui.cc
===================================================================
--- qtwebengine-everywhere-src-6.5.0.orig/src/3rdparty/chromium/content/browser/tracing/tracing_ui.cc
+++ qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/content/browser/tracing/tracing_ui.cc
@@ -25,7 +25,6 @@
 #include "base/strings/string_util.h"
 #include "base/trace_event/trace_event.h"
 #include "base/values.h"
-#include "content/browser/tracing/grit/tracing_resources.h"
 #include "content/browser/tracing/tracing_controller_impl.h"
 #include "content/public/browser/browser_context.h"
 #include "content/public/browser/browser_thread.h"
@@ -240,8 +239,6 @@ TracingUI::TracingUI(WebUI* web_ui)
       web_ui->GetWebContents()->GetBrowserContext(), kChromeUITracingHost);
   source->DisableTrustedTypesCSP();
   source->UseStringsJs();
-  source->SetDefaultResource(IDR_TRACING_ABOUT_TRACING_HTML);
-  source->AddResourcePath("tracing.js", IDR_TRACING_ABOUT_TRACING_JS);
 
   source->SetRequestFilter(base::BindRepeating(OnShouldHandleRequest),
                            base::BindRepeating(OnTracingRequest));
Index: qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/content/shell/BUILD.gn
===================================================================
--- qtwebengine-everywhere-src-6.5.0.orig/src/3rdparty/chromium/content/shell/BUILD.gn
+++ qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/content/shell/BUILD.gn
@@ -471,11 +471,6 @@ repack("pak") {
     "//ui/strings",
   ]
 
-  if (!is_android) {
-    deps += [ "//content/browser/tracing:resources" ]
-    sources += [ "$root_gen_dir/content/browser/tracing/tracing_resources.pak" ]
-  }
-
   if (shell_use_toolkit_views) {
     deps += [ "//ui/views/resources" ]
     sources +=
Index: qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/mojo/public/tools/BUILD.gn
===================================================================
--- qtwebengine-everywhere-src-6.5.0.orig/src/3rdparty/chromium/mojo/public/tools/BUILD.gn
+++ qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/mojo/public/tools/BUILD.gn
@@ -17,6 +17,5 @@ group("mojo_python_unittests") {
   ]
   data_deps = [
     "//testing:test_scripts_shared",
-    "//third_party/catapult/third_party/typ/",
   ]
 }
Index: qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/testing/BUILD.gn
===================================================================
--- qtwebengine-everywhere-src-6.5.0.orig/src/3rdparty/chromium/testing/BUILD.gn
+++ qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/testing/BUILD.gn
@@ -45,7 +45,6 @@ group("run_perf_test") {
 
   data_deps = [
     ":test_scripts_shared",
-    "//third_party/catapult/tracing:convert_chart_json",
   ]
 
   if (is_android) {
Index: qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/third_party/angle/gni/angle.gni
===================================================================
--- qtwebengine-everywhere-src-6.5.0.orig/src/3rdparty/chromium/third_party/angle/gni/angle.gni
+++ qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/third_party/angle/gni/angle.gni
@@ -517,10 +517,6 @@ if (angle_standalone || build_with_chrom
       if (angle_has_histograms) {
         sources +=
             [ "$angle_root/src/tests/test_utils/runner/HistogramWriter.cpp" ]
-        deps += [
-          "//third_party/catapult/tracing/tracing:histogram",
-          "//third_party/catapult/tracing/tracing:reserved_infos",
-        ]
       }
 
       if (is_mac) {
Index: qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/third_party/webrtc/test/BUILD.gn
===================================================================
--- qtwebengine-everywhere-src-6.5.0.orig/src/3rdparty/chromium/third_party/webrtc/test/BUILD.gn
+++ qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/third_party/webrtc/test/BUILD.gn
@@ -304,10 +304,6 @@ rtc_library("perf_test") {
   ]
   if (rtc_enable_protobuf) {
     sources += [ "testsupport/perf_test_histogram_writer.cc" ]
-    deps += [
-      "//third_party/catapult/tracing/tracing:histogram",
-      "//third_party/catapult/tracing/tracing:reserved_infos",
-    ]
   } else {
     sources += [ "testsupport/perf_test_histogram_writer_no_protobuf.cc" ]
   }
@@ -684,7 +680,6 @@ if (rtc_include_tests && !build_with_chr
 
     if (rtc_enable_protobuf) {
       sources += [ "testsupport/perf_test_histogram_writer_unittest.cc" ]
-      deps += [ "//third_party/catapult/tracing/tracing:histogram" ]
     }
 
     data = test_support_unittests_resources
Index: qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/tools/binary_size/BUILD.gn
===================================================================
--- qtwebengine-everywhere-src-6.5.0.orig/src/3rdparty/chromium/tools/binary_size/BUILD.gn
+++ qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/tools/binary_size/BUILD.gn
@@ -20,7 +20,6 @@ python_library("sizes_py") {
   pydeps_file = "sizes.pydeps"
   data_deps = [
     "//build/util:test_results",
-    "//third_party/catapult/tracing:convert_chart_json",
   ]
 }
 
Index: qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/tools/grit/BUILD.gn
===================================================================
--- qtwebengine-everywhere-src-6.5.0.orig/src/3rdparty/chromium/tools/grit/BUILD.gn
+++ qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/tools/grit/BUILD.gn
@@ -33,7 +33,6 @@ group("grit_python_unittests") {
   data = [
     "//testing/scripts/run_isolated_script_test.py",
     "//tools/grit/",
-    "//third_party/catapult/third_party/typ/",
     "//third_party/node/",
     "//third_party/six/src/six.py",
   ]
Index: qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/tools/gritsettings/resource_ids.spec
===================================================================
--- qtwebengine-everywhere-src-6.5.0.orig/src/3rdparty/chromium/tools/gritsettings/resource_ids.spec
+++ qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/tools/gritsettings/resource_ids.spec
@@ -828,12 +828,6 @@
   "content/test/web_ui_mojo_test_resources.grd": {
     "includes": [3840],
   },
-
-  # This file is generated during the build.
-  "<(SHARED_INTERMEDIATE_DIR)/content/browser/tracing/tracing_resources.grd": {
-    "META": {"sizes": {"includes": [20],}},
-    "includes": [3860],
-  },
   # END content/ section.
 
   # START ios/web/ section.
Index: qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/tools/metrics/BUILD.gn
===================================================================
--- qtwebengine-everywhere-src-6.5.0.orig/src/3rdparty/chromium/tools/metrics/BUILD.gn
+++ qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/tools/metrics/BUILD.gn
@@ -45,7 +45,6 @@ group("metrics_python_tests") {
     # The run_isolated_script_test.py script and its dependencies.
     "//testing/scripts/run_isolated_script_test.py",
     "//testing/scripts/common.py",
-    "//third_party/catapult/third_party/typ/",
 
     # Scripts we depend on. Their unit tests are also included.
     "//tools/json_comment_eater/json_comment_eater.py",
Index: qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/tools/perf/chrome_telemetry_build/BUILD.gn
===================================================================
--- qtwebengine-everywhere-src-6.5.0.orig/src/3rdparty/chromium/tools/perf/chrome_telemetry_build/BUILD.gn
+++ qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/tools/perf/chrome_telemetry_build/BUILD.gn
@@ -181,7 +181,6 @@ group("telemetry_chrome_test_without_chr
   ]
   data_deps = [
     "//testing:test_scripts_shared",
-    "//third_party/catapult:telemetry_chrome_test_support",
     "//tools/metrics:metrics_python_tests",
   ]
 
@@ -225,7 +224,5 @@ group("telemetry_chrome_test_without_chr
       "//build/android:devil_chromium_py",
       "//build/android:stack_tools",
     ]
-  } else if (!is_fuchsia) {
-    data_deps += [ "//third_party/catapult/telemetry:bitmaptools" ]
   }
 }
Index: qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/tools/perf/core/perfetto_binary_roller/BUILD.gn
===================================================================
--- qtwebengine-everywhere-src-6.5.0.orig/src/3rdparty/chromium/tools/perf/core/perfetto_binary_roller/BUILD.gn
+++ qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/tools/perf/core/perfetto_binary_roller/BUILD.gn
@@ -7,7 +7,6 @@ import("//build/util/generate_wrapper.gn
 generate_wrapper("upload_trace_processor") {
   testonly = true
   data_deps = [
-    "//third_party/catapult:telemetry_chrome_test_support",
     "//third_party/perfetto/src/trace_processor:trace_processor_shell",
   ]
   data = [
Index: qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/tools/polymer/BUILD.gn
===================================================================
--- qtwebengine-everywhere-src-6.5.0.orig/src/3rdparty/chromium/tools/polymer/BUILD.gn
+++ qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/tools/polymer/BUILD.gn
@@ -8,7 +8,6 @@ group("polymer_tools_python_unittests")
   data = [
     "//testing/scripts/run_isolated_script_test.py",
     "//tools/polymer/",
-    "//third_party/catapult/third_party/typ/",
   ]
   data_deps = [ "//testing:test_scripts_shared" ]
 }
Index: qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/v8/tools/BUILD.gn
===================================================================
--- qtwebengine-everywhere-src-6.5.0.orig/src/3rdparty/chromium/v8/tools/BUILD.gn
+++ qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/v8/tools/BUILD.gn
@@ -35,10 +35,6 @@ group("v8_android_test_runner_deps") {
 
   if (is_android && !build_with_chromium) {
     data_deps = [ "//build/android:test_runner_py" ]
-    data = [
-      # This is used by android.py, but not included by test_runner_py above.
-      "//third_party/catapult/devil/devil/android/perf/",
-    ]
   }
 }
 
Index: qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/weblayer/shell/BUILD.gn
===================================================================
--- qtwebengine-everywhere-src-6.5.0.orig/src/3rdparty/chromium/weblayer/shell/BUILD.gn
+++ qtwebengine-everywhere-src-6.5.0/src/3rdparty/chromium/weblayer/shell/BUILD.gn
@@ -183,9 +183,6 @@ repack("support_pak") {
   }
   if (is_android) {
     deps += [ "//ui/android:ui_java_resources" ]
-  } else {
-    deps += [ "//content/browser/tracing:resources" ]
-    sources += [ "$root_gen_dir/content/browser/tracing/tracing_resources.pak" ]
   }
   output = "$root_out_dir/weblayer_support.pak"
 }
